For the complete documentation index, see llms.txt. This page is also available as Markdown.

出票后附加服务

Atlas API 出票后附加服务端点参考,用于管理已出票订单的可用附加服务和相关操作。

💬 需要帮助? 如果遇到问题,请在帮助中心咨询 Eva,快速获取诊断建议。

咨询 Eva

使用出票后附加服务 API 为已出票订单查询和购买行李。

先使用 postBookingAncillarySearch.do 查询可用产品,再使用 postBookingAncillaryOrder.do 创建订单。

常见问题

出票后可以添加哪些附加服务?

当前仅支持出票后添加行李。

不支持出票后的座位选择。

出票后行李的标准流程是什么?

先搜索已出票订单可用的附加服务。

然后使用选定的产品代码创建附加服务订单。

联程航班如何选择行李?

同一方向的所有联程航段必须使用一致的行李选择。

去程和回程可以使用不同的行李选择。

相关指南

使用出票后附加服务指南了解适用范围和完整流程。

联程航班的行李选择

辅助服务搜索可能按航段返回行李选项。

对于同一方向的联程航班,请在所有连接的航段上保持行李选择一致。

去程和回程仍可使用不同的行李选择。

如果在一个连接方向内行李选择不同,辅助服务订单验证可能会拒绝该请求。

Search Ancillary

post

Dependency: No preceding function needs to be carried out. The order should be ticketed and the departure date should be in the future.

Please note the below "Rules & Restrictions" while initiating a post-ticketing transaction.

  1. Single Booking Limit: Check-in baggage and Carry-on baggage can be added to the segment of passenger either in-booking or post-booking phase altogether or separately, but each type of baggage can only be added one time for the given segment throughout the whole flow. This rule aims to simplify the baggage booking flow for customers by sending the query only one time to book multiple baggages.

  2. Product Code: "Product code" contains various baggage offerings in aspects of baggage pieces and weights for each airline.

  3. Restrictions for Infants: Baggage ancillary is not allowed to be booked for infant passenger.

  4. Post-Booking Baggage Additions: It is not allowed to add the same type of post-booking baggage to a ticketed order the second time unless the first purchase fails in payment. Please refer to the below scenarios: a. When the post-booking order is in "ticket-in-process" and "ticketed" status, it's not allowed to order another one. If any query is called, API will respond with an error message. b. When the post-booking order is in "cancelled" status, the customer can create another order. c. When the post-booking order is in "unpaid" status, the customer can create another order. However, if one of the orders completes the payment and moves to "ticketing-in-process" status, the other orders will stop processing the payment.

  5. Existing Baggage Policies: In case the air ticket order already contains free baggage, it’s subject to airline’s ancillary policy whether additional baggage is allowed to be purchase either at the booking flow or the post-booking flow.

  6. Consistent Product Codes in Connecting Flights: Same “product code” for baggage is mandatory to be added to each segment in connecting flights. If the "product code" is different for each of the segment (in the same direction) or not added for all the sectors, the API will respond with an error message.

  7. Round-Trip Baggage Rule: Rule No.6 doesn't work for round trip flights. This means that the outbound and inbound segments can have different product codes. For example, outbound journey may have a product code of 1PC and 10KG while the inbound journey may have a product code of 20KG. This is allowed.

  8. API Request Information: The details of only the passenger for whom the ancillary needs to be added must be sent in the API RQ.

Endpoint: https://sandbox.atriptech.com/postBookingAncillarySearch.do

Header parameters
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Accept-EncodingstringRequiredExample: gzip
x-atlas-client-idstringRequiredExample: <YOUR_CLIENT_ID>
x-atlas-client-secretstringRequiredExample: <YOUR_CLIENT_SECRET>
Body
ticketOrderNostring · nullableOptional

Order number. It is the original order number.

ancillaryCategorystringRequired

Ancillary Category. Different categories of ancillaries need to be separately requested. Currently we only supportBAGGAGE.

paymentMethodinteger · nullableOptional

The payment method you prefer to use. If you specify a payment method (provided that the fare supports it), then you can only use that method for payment.

Responses
200Success
application/json
statusinteger · enumRequired
  • 117: Baggage is not allowed for this order as it is not in the ticketed status
  • 118: Atlas currently does not support seat or baggage for this airline
  • 119: Baggage or seat selection is not supported for orders with infants
  • 120: Baggage or seat selection for the flight has been closed
  • 121: It's not allowed to purchase ancillary in 24 hours before departure
  • 125: Post booking ancillary search timeout
Possible values:
msgstring · nullableOptional

It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.

sessionIdstringRequired

The unique identifier for this search. It is required when you call order function to make a reservation to identify which ancillary the client is choosing.

ticketOrderNostringRequired

Order number. It is the original order number.

supportCreditTransPaymentstringRequiredDeprecated

This tag is used to identify if the fare needs to be paid using the client's credit card. This field has been deprecated, please use supportPaymentMethods instead.

currencystringRequired

The currency in which Atlas settles transactions with you.

post/postBookingAncillarySearch.do
200Success

Order Ancillary

post

Dependency: The postBookingAncillarySearch.do function should be called prior to this one.

Procedure:

  1. Copy the Session ID into the request body.

  2. Type the passenger information and "product code" selected from the response in "postBookingAncillarySearch.do".

Endpoint: https://sandbox.atriptech.com/postBookingAncillaryOrder.do

Header parameters
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Accept-EncodingstringRequiredExample: gzip
x-atlas-client-idstringRequiredExample: <YOUR_CLIENT_ID>
x-atlas-client-secretstringRequiredExample: <YOUR_CLIENT_SECRET>
Body
sessionIdstringRequired

Identifier of the searched ancillary, received from the ancillary search response.

ancillaryCategorystringRequired

Ancillary Category. Different categories of ancillaries need to be separately requested. Currently we only supportBAGGAGE.

ticketOrderNostringRequired

Order number. It is the original order number.

Responses
200Success
application/json
statusinteger · enumRequired
  • 501: Add purchase not allowed. Description: Ancillary addition is not allowed for this order. Check with the airline or open a Service Request with Atlas for the same.
  • 502: The price has increased, and the order creation has failed. Please perform a new search.. Description: There is a price change from the time the ancillary order search was conducted.
  • 503: Incorrect baggage selection
  • 504: Additional baggage not allowed. Ancillary baggage already exists in the original order. Description: Atlas only allows the attachment of ancillary baggage only once
  • 505: Additional baggage not allowed. Baggage already booked as post-ticket ancillary.. Description: Atlas only allows the attachment of ancillary baggage only once
  • 506: Ancillary addition is not supported for infants
  • 507: It's not allowed to purchase ancillary in 24 hours before departure
  • 508: No payment method is available. Please check whether the quotation currency or account configuration is correct.
  • 509: Illegal request param
Possible values:
msgstringRequired

It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.

sessionIdstringRequired

Echo thesessionIdin the request parameters.

orderNostringRequired

Order number of the created order.

totalPricenumberRequired

Total price(not including service fee) of this order in the currency TheAtlas settled with you

totalTransactionFeenumberRequired

Total technical fees for this order in the currency TheAtlas settled with you.

currencystringRequired

The currency TheAtlas settled with you.

vendorTotalPricenumber · nullableOptional

Total price of this order in the vendor's currency, reference for you to generate the specific credit card.

vendorCurrencystring · nullableOptional

Vendor's currency.

tktLimitTimestringRequired

Payment deadline for this order. This time will be displayed in SGT (GMT +8). The fromat is:yyyy-MM-dd HH:mm:ss.

ticketOrderNostring · nullableOptional

Order number. It is the original order number.

post/postBookingAncillaryOrder.do
200Success

Last updated

Was this helpful?